LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 01-14-2004, 07:25 PM   #1
looper
Member
 
Registered: Apr 2003
Posts: 68

Rep: Reputation: 15
Question Compile problems


suse 8.2

Im compiling gtk+-1.3.15 and I get this error:

./configure --prefix=/usr

checking for XOpenDisplay in -lX11... no
configure: error: *** libX11 not found.

I also tried: ./configure --x-libraries=/usr/X11R6/lib --x-include=/usr/X11R6/include/X11 --prefix=/usr


I verified the installed rpms:
rpm -qa | grep XFree86-devel
XFree86-devel-4.3.0-111

I also checked the libs:
/usr/X11R6/lib
libX11.a
libX11.so symlink to libX11.so.6.2
libX11.so.6 symlink to libX11.so.6.2
libX11.so.6.2

any ideas ???

thanks in adv

Last edited by looper; 01-14-2004 at 09:02 PM.
 
Old 01-15-2004, 03:52 PM   #2
looper
Member
 
Registered: Apr 2003
Posts: 68

Original Poster
Rep: Reputation: 15
Re: Compile problems

Quote:
Originally posted by looper
suse 8.2

Im compiling gtk+-1.3.15 and I get this error:

./configure --prefix=/usr

checking for XOpenDisplay in -lX11... no
configure: error: *** libX11 not found.

I also tried: ./configure --x-libraries=/usr/X11R6/lib --x-include=/usr/X11R6/include/X11 --prefix=/usr


I verified the installed rpms:
rpm -qa | grep XFree86-devel
XFree86-devel-4.3.0-111

I also checked the libs:
/usr/X11R6/lib
libX11.a
libX11.so symlink to libX11.so.6.2
libX11.so.6 symlink to libX11.so.6.2
libX11.so.6.2

any ideas ???

thanks in adv
 
Old 01-15-2004, 04:11 PM   #3
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 23,067
Blog Entries: 11

Rep: Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910
Do you have
/usr/X11R6/lib
in
/etc/ld.so.conf
?
Do the headers match the libs?


Cheers,
Tink
 
Old 01-15-2004, 05:51 PM   #4
looper
Member
 
Registered: Apr 2003
Posts: 68

Original Poster
Rep: Reputation: 15
yes /usr/X11R6/lib is inside ld.so.conf
 
Old 01-15-2004, 06:19 PM   #5
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 23,067
Blog Entries: 11

Rep: Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910
Just out of curiosity:

Why are you installing this version,
why from source?
And where did you get it from?

On http://www.gtk.org/download/ I can't
find a reference to 1.3

I see it in the ftp tree, but ... maybe it's
just not a stable release, broken?



Cheers,
Tink
 
Old 01-15-2004, 08:07 PM   #6
looper
Member
 
Registered: Apr 2003
Posts: 68

Original Poster
Rep: Reputation: 15
well I get almost everything as tarballs.

what version do you recommend? maybe you are right its not the best version to get

by the way, I got it from http://ftp.gnome.org/pub/gnome/sources/gtk+
 
Old 01-15-2004, 08:19 PM   #7
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 23,067
Blog Entries: 11

Rep: Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910
Uh -huh ... I have downloaded it, and am getting the
same error ... however, the 1.2.10 and the later 2.2.2
that I actually have installed compiled flawlessly....



Cheers,
Tink
 
Old 01-15-2004, 08:34 PM   #8
looper
Member
 
Registered: Apr 2003
Posts: 68

Original Poster
Rep: Reputation: 15
I already have gtk 2, I need gtk to compile programs such as xmms or xine :P that is why Im doing it

Thanks a lot for your help tink
 
Old 01-15-2004, 08:35 PM   #9
looper
Member
 
Registered: Apr 2003
Posts: 68

Original Poster
Rep: Reputation: 15
sorry, I forgot, and for replying so fast
 
Old 01-15-2004, 09:04 PM   #10
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 23,067
Blog Entries: 11

Rep: Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910
Pleasure mate, and better luck with the older
version... if I felt that it bugged you I'd probably
have a look and compare the configure scripts
of 1.2.10 and 1.3.15 ... I'm certain that it's the
script that's broken.


Cheers,
Tink


P.S.: If you think that I helped you, feel free to
give me an affero ;)
 
Old 01-15-2004, 09:11 PM   #11
looper
Member
 
Registered: Apr 2003
Posts: 68

Original Poster
Rep: Reputation: 15
tink,
everything went fine. 1.2.10 compiled "flawlessly" [just as you said]
I could also build xmms, so now I can listen to mp3s. I haven tested it though :P
I really dont like rpms, neither its dependencies

Thanks again
looper
 
Old 01-15-2004, 09:16 PM   #12
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 23,067
Blog Entries: 11

Rep: Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910
Sweet :}


Cheers,
Tink
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
compile problems edgjerp Mandriva 2 12-08-2004 03:51 PM
problems after compile Gunslinger_ROL Slackware 7 06-18-2004 01:20 AM
Compile problems alaios Linux - General 1 05-13-2004 05:01 AM
Compile problems Greg21 Slackware 5 06-10-2003 03:33 PM
compile problems zenerdiode Linux - Software 2 12-22-2000 12:42 PM


All times are GMT -5. The time now is 06:01 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration